Skip to content

Agent token info (MCP server only)

POST
/oauth/token-info
curl --request POST \
--url https://api.deploybase.eu/api/v1/oauth/token-info \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'X-Deploybase-Service-Secret: example' \
--data token=example

Called by the deploybase MCP server with its service secret in X-Deploybase-Service-Secret. Given an agent’s dba_ access token (form field token), answers {active:false} or the connection’s identity, its effective role and a 5-minute dbx_ API token. Not callable by agents or users.

X-Deploybase-Service-Secret
required
string

MCP service secret

token
required
string

The agent’s dba_ access token

OK

Media type application/json
object
active
boolean
api_token
string
api_token_expires_in
integer
client_id
string
client_name
string
connection_id
string
expires_at
string
role
string
team_id
string
user_email
string
user_id
string

Example generated

{
"active": true,
"api_token": "example",
"api_token_expires_in": 1,
"client_id": "example",
"client_name": "example",
"connection_id": "example",
"expires_at": "example",
"role": "example",
"team_id": "example",
"user_email": "example",
"user_id": "example"
}

Unauthorized

Media type application/json
object
error
string
error_description
string

Example generated

{
"error": "example",
"error_description": "example"
}

Service Unavailable

Media type application/json
object
error
string
error_description
string

Example generated

{
"error": "example",
"error_description": "example"
}

Live a8b7eb1d built